module CubeLayout where

import qualified Graphics.Rendering.OpenGL as GL
import Foreign.C.Types( CFloat )
import Cube

cubeLayout :: IO ()
cubeLayout = do
	GL.translate $ GL.Vector3 (-3.5) (0.0) (0.0::CFloat)
	cube 1.0 0.0 0.0 -- Red
	GL.translate $ GL.Vector3 (1.0) (0.0) (-2.5::CFloat)
	cube 1.0 0.647 0.0 -- Orange
	GL.translate $ GL.Vector3 (2.5) (0.0) (-1.0::CFloat)
	cube 1.0 1.0 0.0 -- Yellow
	GL.translate $ GL.Vector3 (2.5) (0.0) (1.0::CFloat)
	cube 0.0 1.0 0.0 -- Light Green
	GL.translate $ GL.Vector3 (1.0) (0.0) (2.5::CFloat)
	cube 0.0 0.5 0.0 -- Dark Green
	GL.translate $ GL.Vector3 (-1.0) (0.0) (2.5::CFloat)
	cube 0.0 0.0 1.0 -- Blue
	GL.translate $ GL.Vector3 (-2.5) (0.0) (1.0::CFloat)
	cube 0.3 0.0 0.5 -- Indigo
	GL.translate $ GL.Vector3 (-2.5) (0.0) (-1.0::CFloat)
	cube 0.9 0.5 0.9 -- Violet
	GL.translate $ GL.Vector3 (2.5) (0.0) (-2.5::CFloat)