import qualified Graphics.Rendering.OpenGL as GL
import Graphics.UI.GLUT
import Foreign.C.Types( CFloat )
import Render

main :: IO ()
main = do
	initialDisplayMode $= [DoubleBuffered, WithDepthBuffer]
	initialWindowSize  $= Size 1000 1000
	getArgsAndInitialize
	w <- createWindow "Twister"
	viewport $= (Position 0 0, Size 1000 1000)
	matrixMode $= Projection
	perspective 30 1.0 0.1 100.0
	matrixMode $= Modelview 0
	clearColor $= GL.Color4 0.0 0.0 0.0 0.0
	clearDepth $= 1.0
	depthFunc $= Just Less
	displayCallback $= render
	mainLoop