module Render where

import qualified Graphics.Rendering.OpenGL as GL
import Graphics.UI.GLUT
import Foreign.C.Types( CFloat )
import Twist

render :: IO ()
render = do
	clear [ColorBuffer, DepthBuffer]
	loadIdentity
	GL.translate $ GL.Vector3 (0.0) (-21.0) (-100.0::CFloat)
	twist 20
	swapBuffers